import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import LempLogoLight from './LempLogoLight';
import LempLogoDark from './LempLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const LempLogoSvg = forwardRef(function LempLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? _jsx(LempLogoDark, Object.assign({}, props, { ref: ref })) : _jsx(LempLogoLight, Object.assign({}, props, { ref: ref }));
});
export default LempLogoSvg;
